Upgrade to 4.0.1

Bug #1071845 reported by Barry Warsaw on 2012-10-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
zope.interface (Debian)
Fix Released
Unknown
zope.interface (Ubuntu)
High
Barry Warsaw

Bug Description

We need to upgrade to zope.interface 4.0.1 (the current version on PyPI as I type this) for proper support of Python 3.3. This is better than backporting the fix to 3.6.1 since that latter version is over two years old.

The only reason I don't just JFDI this is because of the numerous reverse-depends, so I'd like to do a test rebuild before I upload the new version.

Barry Warsaw (barry) on 2012-10-26
Changed in zope.interface (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-13.04-beta-1
Barry Warsaw (barry) on 2012-10-26
Changed in zope.interface (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
status: New → In Progress
Changed in zope.interface (Debian):
status: Unknown → New
Barry Warsaw (barry) wrote :

Actually, the only build-depends are:

flufl.bounce
foolscap
python-repoze.sphinx.autointerface
python-repoze.what
python-repoze.who
ubuntuone-client
wikkid

Barry Warsaw (barry) wrote :

wikkid fails its test suite with the new z.i so I will try to fix that.

ubuntuone-client 4.0.0-0ubuntu1 fails its test suite both with the existing z.i and the new z.i, so I'm not going to block on that, but I will report it upstream.

Barry Warsaw (barry) wrote :

wikkid's failure is reported upstream here: LP: #1071936

I am not going to block the new z.i upload for this.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zope.interface - 4.0.1-0ubuntu1

---------------
zope.interface (4.0.1-0ubuntu1) raring; urgency=low

  * New upstream release. Remaining Ubuntu changes:
    - fix_segfault_py3_64bit_LP_675064.diff: Applied upstream, removed.
    LP: #1071845
 -- Barry Warsaw <email address hidden> Fri, 26 Oct 2012 14:51:58 -0400

Changed in zope.interface (Ubuntu):
status: In Progress → Fix Released
Changed in zope.interface (Debian):
status: New → Fix Committed
Changed in zope.interface (Debian):
status: Fix Committed → Fix Released

On Jun 17, 2013, at 03:52 PM, Bug Watch Updater wrote:

>** Changed in: zope.interface (Debian)
> Status: Fix Committed => Fix Released

As soon as the debian version gets published, I'll resync the Ubuntu version
to it.

Gediminas Paulauskas (menesis) wrote :

2013/6/17 Barry Warsaw <email address hidden>

> On Jun 17, 2013, at 03:52 PM, Bug Watch Updater wrote:
>
> >** Changed in: zope.interface (Debian)
> > Status: Fix Committed => Fix Released
>
> As soon as the debian version gets published, I'll resync the Ubuntu
> version
> to it.
>

I have synced the two:

zope.interface (4.0.5-1ubuntu2) saucy; urgency=low

  * Merge from Debian. Remaining changes:
    - debian/control: update Build-Depends to allow cross-building the
package
      (waiting for Debian to drop python 3.2 support).

 -- Gediminas Paulauskas <email address hidden> Thu, 27 Jun 2013 12:08:55 +0300

Barry Warsaw (barry) wrote :

On Jun 27, 2013, at 09:16 AM, Gediminas Paulauskas wrote:

>I have synced the two:

Thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.